GETHOSTID(3)

NAME
gethostid, sethostid - get/set unique identifier of current host

SYNOPSIS
#include <unistd.h>
long
gethostid(void);
int
sethostid(long hostid);

DESCRIPTION
The sethostid() function establishes a 32-bit identifier for the current processor that is intended to be unique among all UNIX systems in existence. This is normally an Internet address for the local machine. This call is allowed only to the superuser and is normally performed at boot-time.

gethostid() returns the 32-bit identifier for the current processor.

This function has been deprecated. The hostid should be set or retrieved by use of sysctl(2).

SEE ALSO
sysctl(2), gethostname(3), sysctl(8)

HISTORY
The gethostid() and sethostid() system calls first appeared in 4.1cBSD and were dropped in 4.4BSD.

BUGS
32 bits for the identifier is too small.